package xyz.tbvns.rogue_block.Managers.registeredSavable;

import xyz.tbvns.rogue_block.Managers.Savable;
import xyz.tbvns.rogue_block.Upgrades.Upgrade;

import java.util.ArrayList;
import java.util.List;

public class PlayerData implements Savable {

    private int points = 0;

    private List<Class<? extends Upgrade>> upgrades = new ArrayList<>();

    public int addPoints(int amount) {
        points += amount;
        return points;
    }

    public void setPoints(int points) {
        this.points = points;
    }

    public int getPoints() {
        return points;
    }

    //TODO: replace that with lombok
    public List<Class<? extends Upgrade>> getUpgrades() {
        return upgrades;
    }
}
